Subject: Environment variables (context, rewrite urls, ...) are not recognized with FCGI + Apache
Description

On a Linux server with Apache + FastCGl + PHP the SetEnv directive in the .htaccess file seem to have no effect.

The reason is that directives like

SetEnv FLOW3_CONTEXT

end up in PHP's $_SERVER array as "REDIRECT_FLOW3_CONTEXT" under certain circumstances.

| can't see when / why this happens, but FLOWS could easily detect this.

Associated revisions

Revision 3edc11f0 - 2010-02-25 15:22 - Robert Lemke

[+BUGFIX] FLOW3 (Core): FLOW3 now detects environment variables which are prepended with "REDIRECT_". This seems to happen under certain
circumstances with FCGI + Apache. Resolves #6596

Revision d3bd4305 - 2010-02-25 15:40 - Robert Lemke

[+BUGFIX] FLOWS3 (Core): A few pieces were missing for the environment fix. Now hopefully resolves #6596

Revision 417d6231 - 2010-02-25 17:01 - Robert Lemke

[+BUGFIX] FLOWS3 (Core): Another glitch which relates to #6596

Revision 23867970 - 2010-02-25 19:30 - Robert Lemke

[+BUGFIX] FLOW3 (Core): Found out that the getRequestPath() method returned a wrong path in the FCGI case. Probably now finally fixes #6596

Revision 2fc8d241 - 2010-02-26 00:05 - Karsten Dambekalns
[+API] FLOWS3 (Utility): Added detectBaseUri() to Environment. Given an URI instance it tries to detect the corresponding base URI.

[+API] FLOWS3 (Utility): Added getScriptRequestPath() to Environment, returns the path to the actual script request relative to the document root.
[~API] FLOWS3 (Utility): Renamed getScriptRequestPathAndName() to getScriptRequestPathAndFilename() in Environment.
[~TASK] FLOW3 (MVC): Reverted recent change by Robert related to request path handling, relates to #6596
[~TASK] FLOWS3 (Utility): Some more changes to getRequestUri() in Environment, relates to #6596, relates to #3029, relates to #3375.
[~TASK] FLOW3 (Resource): Make use of new getScriptRequestPath() method in FileSystemPublishingTarget.

Revision c2b62c16 - 2010-02-26 15:34 - Robert Lemke

[~API] FLOWS3 (Utility): Renamed detectBaseUri() to getBaseUri().

[~TASK] FLOW3 (MVC): Recomitted my previous change in getRequestPath and reworked the path rendering in the Request object (now is called
"route path"). Relates to #6596

[~BUGFIX] FLOWS3 (Security): The WebRedirect entry point now takes the Base URI into account. That means you'll have to specify a relative URI in
your settings for defining a web entry point (i.e. no leading slash!).

History

#1 - 2010-02-25 16:00 - Robert Lemke
- Status changed from Accepted to Resolved

- % Done changed from 0 to 100

Applied in changeset r3859.
